> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate Company Login Link

> Generate a link that automatically signs in a company and redirects them to their Zeal Company Dashboard, where they can manage and run payroll. This link can only be generated in production and expires exactly 7 days after generation.



## OpenAPI

````yaml openapi/zeal-api.json post /getAuthLink
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /getAuthLink:
    post:
      summary: Generate Company Login Link
      description: >-
        Generates a link that automatically signs in an employer into their Zeal
        Company Dashboard.
      operationId: retrieve-employer-login-link
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - partnerID
                - companyID
              properties:
                partnerID:
                  type: string
                  description: PartnerID of the Zeal Partner
                companyID:
                  type: string
                  description: CompanyID of the company
                embedded_page:
                  type: string
                  description: >-
                    By specifying the particular page you want to embed, the
                    embedded component will show just that page and no sidebar.
                    Can take the values of `dashboard` (home page), `employees`,
                    `contractors`, `custom-attributes`, `custom-paperwork`,
                    `i9`, or `reports`.
                  enum:
                    - dashboard
                    - employees
                    - contractors
                    - custom-attributes
                    - custom-paperwork
                    - i9
                    - reports
            examples:
              Request Example:
                value:
                  partnerID: c133ecdere9b3445a2f22Cc258b23445a
                  companyID: fc235f012bae46222ca3444cc2215bcfa
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    url: >-
                      https://payroll.your-domain.com/auth?accessToken=<accessToken>
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                    default: true
                  url:
                    type: string
                    example: >-
                      https://payroll.your-domain.com/auth?accessToken=<accessToken>
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    errors:
                      - message: No Partner with this partnerID exists
                        code: 13
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: No Partner with this partnerID exists
                        code:
                          type: integer
                          example: 13
                          default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````